from models import  Game, BirdSpecies, Market, FeatherBunch, FeatherStock
from django.contrib import admin
""" The customization of Django's admin interface has to be in this module."""

class FeatherBunchInlines(admin.TabularInline):
	model = FeatherBunch

class FeatherStockInline(admin.TabularInline):
	model = FeatherStock

class GameAdmin(admin.ModelAdmin):
	fields = ["user", "coins", "location"]
	list_display = ["user", "coins", "location"]
	list_editable = ["coins"]
	list_filter = ["coins",]
	inlines = [FeatherBunchInlines,]
class MarketAdmin(admin.ModelAdmin):
	pass
	inlines = [FeatherStockInline]



admin.site.register(Game, GameAdmin)
admin.site.register(BirdSpecies)
admin.site.register(Market, MarketAdmin)