from django.shortcuts import *
from django.core.files import File
from django.template import RequestContext
from django.http import *
from django import forms
from django.forms import widgets
from django.core.urlresolvers import reverse
from django.template import Context, loader
from django.contrib.auth.models import User

import simplejson
from jsonrpc import JSONRPCService, jsonremote

class RegisterForm(forms.Form):
	username = forms.CharField(max_length=100)
	password = forms.CharField(max_length=16, widget=widgets.PasswordInput())
	password2 = forms.CharField(max_length=16, widget=widgets.PasswordInput())
	
	def clean_username(self):
		name =	self.cleaned_data["username"]
		
		if User.objects.filter(username=name).count()>0:
			raise forms.ValidationError('Name is already taken.')
		if len(name)<4:
			raise forms.ValidationError('Name must have more than 4 characters!')
		return self.cleaned_data["username"]
	def clean(self):
		cleaned_data = self.cleaned_data
		if cleaned_data.get("password") != cleaned_data.get("password2"):
			cleaned_data["password"] = ""
			cleaned_data["password2"] = ""
		
			raise forms.ValidationError("Password and Repeat must match!")
		return cleaned_data
		
def register(request):
	if request.method == 'POST': # If the form has been submitted...
		form = RegisterForm(request.POST) # A form bound to the POST data
		if form.is_valid(): # All validation rules pass
			if form.cleaned_data["password"] == form.cleaned_data["password2"]:
				user = User.objects.create_user(form.cleaned_data["username"], '', form.cleaned_data["password"])
				user.set_password(form.cleaned_data["password"])
				user.save()
	
				return HttpResponseRedirect(reverse("game-main"))
			else:
				pass        	
	else:
		form = RegisterForm() # An unbound form
	d = dict(form = form)	
	return render_to_response("accounts/register.html", d, context_instance=RequestContext(request))